/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.pigpen.service;
import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.base.pigpen.entity.BasePigpen;
import vip.xiaonuo.modular.base.pigpen.param.*;

import java.util.List;

/**
 * base_pigpenService接口
 *
 * @author newspaper
 * @date  2023/12/05 08:55
 **/
public interface BasePigpenService extends IService<BasePigpen> {

    /**
     * 获取base_pigpen分页
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     */
    Page<BasePigpen> page(BasePigpenPageParam basePigpenPageParam);

    /**
     * 添加base_pigpen
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     */
    void add(BasePigpenAddParam basePigpenAddParam);

    /**
     * 编辑base_pigpen
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     */
    void edit(BasePigpenEditParam basePigpenEditParam);

    /**
     * 删除base_pigpen
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     */
    void delete(List<BasePigpenIdParam> basePigpenIdParamList);

    /**
     * 获取base_pigpen详情
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     */
    BasePigpen detail(BasePigpenIdParam basePigpenIdParam);

    /**
     * 获取base_pigpen详情
     *
     * @author newspaper
     * @date  2023/12/05 08:55
     **/
    BasePigpen queryEntity(String id);


    /**
     * 获取所有栋舍
     *
     * @author newspaper
     * @date 2023/12/05 11:23
     **/
    List<BasePigpen> getAllPigpenList(String orgId);


    /**
     * 根据id获取所有的子数据列表
     *
     * @author newspaper
     * @date 2023/12/05 11:23
     **/
    List<BasePigpen> getChildListById(List<BasePigpen> originDataList, String id, boolean includeSelf);

    /**
     * 根据id获取数据
     *
     * @author newspaper
     * @date 2022/8/15 14:55
     **/
    BasePigpen getById(List<BasePigpen> originDataList, String id);

    List<Tree<String>> tree(BasePigpenOrgIdParam basePigpenOrgIdParam);
}
