/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigbackfat.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.bi.pigbackfat.entity.PigBackfat;
import vip.xiaonuo.modular.bi.pigbackfat.param.PigBackfatAddParam;
import vip.xiaonuo.modular.bi.pigbackfat.param.PigBackfatEditParam;
import vip.xiaonuo.modular.bi.pigbackfat.param.PigBackfatIdParam;
import vip.xiaonuo.modular.bi.pigbackfat.param.PigBackfatPageParam;

import java.util.List;

/**
 * 背膘测定Service接口
 *
 * @author wang
 * @date  2023/12/07 17:54
 **/
public interface PigBackfatService extends IService<PigBackfat> {

    /**
     * 获取背膘测定分页
     *
     * @author wang
     * @date  2023/12/07 17:54
     */
    Page<PigBackfat> page(PigBackfatPageParam pigBackfatPageParam);

    /**
     * 添加背膘测定
     *
     * @author wang
     * @date  2023/12/07 17:54
     */
    void add(PigBackfatAddParam pigBackfatAddParam);

    /**
     * 编辑背膘测定
     *
     * @author wang
     * @date  2023/12/07 17:54
     */
    void edit(PigBackfatEditParam pigBackfatEditParam);

    /**
     * 删除背膘测定
     *
     * @author wang
     * @date  2023/12/07 17:54
     */
    void delete(List<PigBackfatIdParam> pigBackfatIdParamList);

    /**
     * 获取背膘测定详情
     *
     * @author wang
     * @date  2023/12/07 17:54
     */
    PigBackfat detail(PigBackfatIdParam pigBackfatIdParam);

    /**
     * 获取背膘测定详情
     *
     * @author wang
     * @date  2023/12/07 17:54
     **/
    PigBackfat queryEntity(Integer id);
}
