/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigfiles.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 猪只档案添加参数
 *
 * @author wang
 * @date  2023/12/06 14:33
 **/
@Getter
@Setter
public class PigFilesAddParam {

    /** 耳标号 */
    @ApiModelProperty(value = "耳标号", position = 2)
    private String eartag;

    /** 性别 0为雌 1为熊 */
    @ApiModelProperty(value = "性别 0为雌 1为熊", position = 3)
    private Integer sex;

    /** 品种 */
    @ApiModelProperty(value = "品种", position = 4)
    private Integer breed;

    /** 品系 */
    @ApiModelProperty(value = "品系", position = 5)
    private Integer strain;

    /** 存栏位置 */
    @ApiModelProperty(value = "存栏位置", position = 6)
    private String unitId;

    /**
     * 出生日期
     */
    @ApiModelProperty(value = "出生日期", position = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthDate;

    /** 入场日期 */
    @ApiModelProperty(value = "入场日期", position = 8)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date admissionDate;

    /** 出生地 */
    @ApiModelProperty(value = "出生地", position = 9)
    private String birthAddress;

    /** 出生重量 */
    @ApiModelProperty(value = "出生重量", position = 10)
    private String birthWeight;

    /** 出生胎此 */
    @ApiModelProperty(value = "出生胎此", position = 11)
    private String birthBatch;

    /** 同窝仔猪数 */
    @ApiModelProperty(value = "同窝仔猪数", position = 12)
    private String broodNum;

    /** 断奶日龄 */
    @ApiModelProperty(value = "断奶日龄", position = 13)
    private String milkDay;

    /** 乳头数左 */
    @ApiModelProperty(value = "乳头数左", position = 14)
    private Integer nippleLeftNum;

    /** 乳头数右 */
    @ApiModelProperty(value = "乳头数右", position = 15)
    private Integer nippleWeigthNum;

    /** 断奶体重 */
    @ApiModelProperty(value = "断奶体重", position = 16)
    private String milkWeight;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 17)
    private String remark;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 18)
    private String orgId;
    /** 父系耳标号 */
    @ApiModelProperty(value = "父系耳标号", position = 19)
    private String fatherEartag;

    /** 母系耳标号 */
    @ApiModelProperty(value = "母系耳标号", position = 20)
    private String motherEartag;

//    /** 存栏位置名称 */
//    @ApiModelProperty(value = "存栏位置名称", position = 21)
//    private String unitName;
}
