/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envThreshold.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * 环控阈值Id参数
 *
 * @author newspaper
 * @date  2023/12/25 15:38
 **/
@Getter
@Setter
public class EnvThresholdModifyParam {

    /** 单元ID */
    @ApiModelProperty(value = "单元ID", required = true, position = 1)
    @NotBlank(message = "单元父ID不能为空")
    private String unitId;

    /** 状态 */
    @ApiModelProperty(value = "状态", required = true, position = 2, example = "0:禁用 1:启用")
    @NotBlank(message = "isEnable不能为空")
    private String isEnable;
}
